# Metadata

The **Metadata** object provides metadata information about a file or folder (metadata are things like the track number of a music file, the dimensions of an image, the author of a document, etc). You can obtain a **Metadata** object from the [**Item**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/item)**.metadata** property if you have an **Item** object, and if not you can obtain it using the path of the item using the [**FSUtil**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/fsutil)**.GetMetadata** method.

The **Metadata** object provides different sub-objects as properties that group the available metadata into a number of categories, broadly corresponding to the categories listed on the [Keywords for Columns](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/metadata_keywords/keywords_for_columns) page. You can determine the primary, or main type of metadata available using the *default value* of the **Metadata** object.

| Property Name      | Return Type                                                                                                                             | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| ------------------ | --------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *\<default value>* | *string*                                                                                                                                | <p>Returns a string indicating the primary type of metadata available in this object. The string will be one of the following: <em>none</em>, <em>video</em>, <em>audio</em>, <em>image</em>, <em>font</em>, <em>exe</em>, <em>doc</em>, <em>other</em>.<br>Note that sometimes more than one type of metadata will be available. For example, author is a document field (and so found under the <strong>doc</strong> property), but pictures can have authors as well. In this instance, the <strong>Metadata</strong> object would provide both <strong>ImageMeta</strong> and <strong>DocMeta</strong> objects.</p><p>If the returned string is <em>none</em> it means that no metadata is available for the file, and you should not attempt to access any of the other properties.</p> |
| audio              | *object*:[**AudioMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/audiometa) | Returns an [**AudioMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/audiometa) object providing access to audio metadata. The properties of this object are generally returned as their appropriate underlying type (e.g. a numeric field like "track number" will be returned as an *int*).                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| audio\_text        | *object*:[**AudioMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/audiometa) | Returns an [**AudioMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/audiometa) object that provides access to the unmodified text form of the audio metadata. This provides access to the same text as displayed in a Lister. For example, a numeric field like "track number" would be returned as a *string* rather than an *int*.                                                                                                                                                                                                                                                                                                                                                                                              |
| doc                | *object:*[**DocMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/docmeta)     | Returns a [**DocMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/docmeta) object providing access to document metadata.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| doc\_text          | *object:*[**DocMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/docmeta)     | Returns a [**DocMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/docmeta) object that provides access to the unmodified text form of the document metadata.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| exe                | *object:*[**ExeMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/exemeta)     | Returns an [**ExeMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/exemeta) object providing access to executable (program) metadata.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| exe\_text          | *object:*[**ExeMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/exemeta)     | Returns an [**ExeMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/exemeta) object that provides access to the unmodified text form of the program metadata.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| font               | *object:*[**FontMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/fontmeta)   | Returns a [**FontMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/fontmeta) object providing access to font file metadata.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| image              | *object:*[**ImageMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/imagemeta) | Returns an [**ImageMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/imagemeta) object providing access to picture metadata.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| image\_text        | *object:*[**ImageMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/imagemeta) | Returns an [**ImageMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/imagemeta) object that provides access to the unmodified text form of the picture metadata.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| other              | *object:*[**OtherMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/othermeta) | Returns an [**OtherMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/othermeta) object that provides access to miscellaneous metadata.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| tags               | *collection:string*                                                                                                                     | Returns a collection of *strings* corresponding to the tags that are assigned to this item.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| video              | *object:*[**VideoMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/videometa) | Returns a \*\*[VideoMeta](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/videometa)\*\*object providing access to video metadata.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| video\_text        | *object:*[**VideoMeta**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/videometa) | Returns a \*\*[VideoMeta](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/videometa)\*\*object that provides access to the unmodified text form of the video metadata.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/metadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
